net.corda.core.node.services

## Interface FileUploader

- All Known Subinterfaces:
    AcceptsFileUpload
  All Known Implementing Classes:
    NodeAttachmentService

      public FileUploader

  An interface that denotes a service that can accept file uploads.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accepts(java.lang.String type)` Check if this service accepts this type of upload. For example if you are uploading interest rates this could be "my-service-interest-rates". Type here does not refer to file extentions or MIME types.
    `java.lang.String` | `upload(java.io.InputStream file)` Accepts the data in the given input stream, and returns some sort of useful return message that will be sent back to the user in the response.

- - ### Method Detail

    - #### upload

          java.lang.String upload(java.io.InputStream file)

      Accepts the data in the given input stream, and returns some sort of useful return message that will be sent back to the user in the response.

    - #### accepts

          boolean accepts(java.lang.String type)

      Check if this service accepts this type of upload. For example if you are uploading interest rates this could be "my-service-interest-rates". Type here does not refer to file extentions or MIME types.